View Issue Details

IDProjectCategoryView StatusLast Update
0002266Far ManagerDialogpublic2013-01-22 15:02
ReporterSmitisAssigned Tovskirdin 
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.0 
Target VersionFixed in Version3.0 
Summary0002266: Нужны GUID-ы
DescriptionНужны GUID для диалогов
- Редактор: перезапись файла только для чтения.
- Редактор: сохранение файла при закрытии.
- Редактор: сохранение файла, при изменении его внешней программой (и при удалении).
- ФАР: диалог подтверждения закрытия ФАРа.

Если ФАР закрывается макросом (например, для обновления), необходимо отслеживать эти диалоги (типа, если диалог выхода, то Enter, если сохранения, отменить закрытие)

Надеюсь, ничего не пропустил.
TagsNo tags attached.
Build3106

Activities

vskirdin

2013-01-20 21:40

administrator   bugnote:0010074

> сохранение файла при закрытии.
Здесь 2 диалога, различаются кол-вом кнопок: в первом 2 (yes/no), во втором 3 (yes/no/cancel)
делаем 1 гуид?

> (и при удалении).
Здесь 2 диалога:
1) Файл или папка, в которой он находился, был перемещён или удалён. Сохранить?
2) Файл изменён, но файл или папка, в которой он находился, был перемещён или удалён. Сохранить?
Делаем два гуида?

Smitis

2013-01-20 22:59

reporter   bugnote:0010075

Во втором случае точно два, а в первом... Ну, пусть тоже два.

vskirdin

2013-01-20 23:07

administrator   bugnote:0010076

Про первый - а смысл 2? суть диалога одна, только в зависимости от настроек.
Хмм... второй - вроде как тоже с одной сутью, разница лишь в том, что в одном случае файл уже сохранен, во втором - модифицирован.

На сколько важна такая разница в обоих случаях?

Smitis

2013-01-21 11:18

reporter   bugnote:0010082

На перезапись файла только для чтения нужен отделный GUID, что бы, если уже выбрали, что файл нужно сохранить и выскочил второй диалог, то переписать в любом случае, не зависимо от настроек. Сейчас это приходиться определять косвеным образом.

vskirdin

2013-01-21 13:55

administrator   bugnote:0010084

Я не вел речь про RO (хотелка проходит). Я про "задвоенные диалоги", у которых суть одна, разница в кнопках и тексте.

Для "(и при удалении)" - удален и удален. Разница будет только для юзера, но не для макроса. В противном случае в макросах будет доп проверка на еще один гуид для "одного и того же диалога".

vskirdin

2013-01-21 17:15

administrator   bugnote:0010088

Нашел еще диалог про удаленный файл - когда пытаемся переключиться во вьювер (по F6), но файл удален.
С точки зрения макроса - это "другой" диалог, нежели такой же диалог при простом сохранении и/или выходе из редактора (напомню - когда файл удален)?

vskirdin

2013-01-21 17:38

administrator   bugnote:0010089

build 3106

Редактор: перезапись файла только для чтения.
          {3F9311F5-3CA3-4169-A41C-89C76B3A8C1D}
ФАР: диалог подтверждения закрытия ФАРа.
          {72E6E6D8-0BC6-4265-B9C4-C8DB712136AF}
Редактор: сохранение файла, при изменении его внешней программой (и при удалении).
          {40A699F1-BBDD-4e21-A137-97FFF798B0C8}
Редактор: сохранение файла при закрытии.
          {F776FEC0-50F7-4e7e-BDA6-2A63F84A957B}
Редактор: запрос открытия файла с атридутами RSH
          {D8AA706F-DA7E-4bbf-AB78-6B7BDB49E006}
Редактор: сохранение файла при переключение во вьювер, если файл (или каталог, где был файл) был удален.
          {85532BD5-1583-456d-A810-41AB345995A9}
Редактор: сохранение файла и выход из редактора, если файл (или каталог, где был файл) был удален.
          {2D71DCCE-F0B8-4e29-A3A9-1F6D8C1128C2}
Редактор: Запрос на перезапись файла
          {4109C8B3-760D-4011-B1D5-14C36763B23E}

Smitis

2013-01-21 19:40

reporter   bugnote:0010091

Спасибо

vskirdin

2013-01-21 23:56

administrator   bugnote:0010093

Эээ... Инц отработан или здесь же будут допы?
(я про состояния "назначен" и "отработан")

Smitis

2013-01-22 09:39

reporter   bugnote:0010095

Не успел до конца проверить, но будем считать - отработан

Issue History

Date Modified Username Field Change
2013-01-20 18:59 Smitis New Issue
2013-01-20 21:40 vskirdin Note Added: 0010074
2013-01-20 22:59 Smitis Note Added: 0010075
2013-01-20 23:07 vskirdin Note Added: 0010076
2013-01-21 11:18 Smitis Note Added: 0010082
2013-01-21 13:55 vskirdin Note Added: 0010084
2013-01-21 17:15 vskirdin Note Added: 0010088
2013-01-21 17:38 vskirdin Note Added: 0010089
2013-01-21 17:38 vskirdin Assigned To => vskirdin
2013-01-21 17:38 vskirdin Status new => feedback
2013-01-21 19:40 Smitis Note Added: 0010091
2013-01-21 19:40 Smitis Status feedback => assigned
2013-01-21 23:56 vskirdin Note Added: 0010093
2013-01-22 09:39 Smitis Note Added: 0010095
2013-01-22 09:42 Smitis Status assigned => resolved
2013-01-22 15:02 vskirdin Build => 3106
2013-01-22 15:02 vskirdin Status resolved => closed
2013-01-22 15:02 vskirdin Resolution open => fixed
2013-01-22 15:02 vskirdin Fixed in Version => 3.0